@import "assets/scss/global";

.unit-test-container {
    width: 8.27in;
    margin: 0;
    display: flex;
    justify-content: center;

    .unit-test-export {
        font-size: 14px;
        line-height: 24px;
        color: #21213d;
        font-family: 'Times New Roman';
        white-space: pre-wrap;
        --marginLeft: 32px;
        width: 100%;

        .question-text-empty-mc1 {
            width: 32px;
            display: inline-block;
        }

        -webkit-print-color-adjust: exact;

        table.info {
            width: 100%;
            font-weight: 500;

            tbody {
                tr {
                    td {
                        padding: 10px;
                        border: 1px solid black;

                        .user-info:not(:first-child) {
                            margin-top: 10px;
                        }
                    }
                }
            }
        }

        .vertical-top {
            vertical-align: top;
        }

        .unit-test-title {
            margin-top: 27px;
            text-align: center;
            font-weight: bold;
            color: #188fba;
            font-size: 16px;
        }

        .unit-test-time {
            text-align: center;
            font-weight: bold;
            color: #188fba;
            font-size: 16px;
        }

        .unit-test-section {
            width: 100%;
        }

        .unit-test-part {
            display: flex;
            color: #188fba;
            align-items: center;
            font-weight: bold;
            margin-top: 25px;

            >div {
                padding: 5px;
                border: 1px solid #188fba;
                border-radius: 8px;
                margin-right: 5px;
            }
        }

        .box-question {
            margin-left: 5px;
            margin-top: 15px;
            display: block;

            .instruction {
                font-weight: bold;
                display: flex;
                white-space: pre-wrap;

                span {
                    width: 32px;
                    display: inline-block;
                }

                &_question {
                    width: auto !important;
                }
            }

            .title-type {
                margin-top: 10px;
                font-weight: bold;
                text-decoration: underline;
            }

            .reading-script {
                display: block;
                white-space: pre-wrap;
                margin-top: 10px;
                padding: 10px;
                background-color: #edf9fd;
                border-radius: 16px;
                border: 1px dashed #35b9e6;
            }

            .question {
                display: block;
                margin-left: var(--marginLeft);
                margin-top: 10px;
                white-space: pre-wrap;
            }

            .multi-question {
                margin-top: 10px;
                margin-left: 10px;
            }

            .box-image {
                display: flex;
                align-items: center;
                justify-content: center;
                margin: 10px;
                flex-direction: column;

                img {
                    height: auto;
                    max-height: 140px;
                }

                .image-note {
                    text-align: center;
                }
            }

            .question-row-format {
                display: flex;
                align-items: center;
                flex-direction: row;
                gap: 15px;
                width: 100%;

                .text-index {
                    width: 15px;
                }

                .box-image {
                    width: 136px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin: 5px;

                    img {
                        height: auto;
                        max-width: 100%;
                        max-height: 100%;
                    }
                }

                .section-true-false {
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    width: 100%;

                    .checking {
                        padding: 0 10px 0 0;
                        display: flex;
                        justify-content: flex-end;
                        align-items: center;

                        .checkbox {
                            font-size: 25px;
                            padding: 0 5px 0 25px;
                            color: #9cabbd;
                        }

                        .textTF {
                            font-weight: bold;
                            color: #009d12;

                            &:last-child {
                                color: #d25045;
                            }
                        }
                    }
                }

                .answerDD1 {
                    display: flex;
                    flex-direction: column;
                }
            }

            .multi-choice-box {
                display: flex;
                flex-direction: column;
                width: 100%;

                .answers-grid {
                    width: 100%;
                    display: grid;
                    grid-template-columns: repeat(3, 1fr);
                    gap: 10px;

                    &.two-columns {
                        grid-template-columns: repeat(2, 1fr);
                    }

                    .answer-item {
                        padding: 5px;
                        display: flex;
                        flex-direction: row;
                        align-items: flex-start;
                    }
                }
            }

            .correct {
                text-decoration: underline;
                color: $success-color;
            }

            .box-image-group {
                display: block;
                white-space: pre-wrap;
                margin-top: 10px;
                padding: 10px;
                background-color: #ffffff;
                border: 1px solid #000000;
            }

            .multi-choice-group-images {
                display: flex;
                flex-direction: column;
                width: 100%;

                .question-text {
                    display: flex;
                    flex-direction: row;
                }

                .answers-grid {
                    margin-top: 10px;
                    width: 100%;
                    display: grid;
                    grid-template-columns: repeat(3, 1fr);
                    gap: 10px;

                    &.two-columns {
                        grid-template-columns: repeat(2, 1fr);
                    }

                    &.default {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                    }

                    .answer-item {
                        display: flex;
                        flex-direction: column;
                        align-items: center;
                        justify-content: flex-end;

                        .answer-image {
                            width: 136px;
                            display: flex;
                            align-items: center;
                            justify-content: center;

                            img {
                                height: auto;
                                max-width: 100%;
                                max-height: 100%;
                            }
                        }

                        .answerData {
                            display: block;
                            text-align: center;

                            &.isExample {
                                color: $success-color;
                            }
                        }

                        .checkbox {
                            font-size: 25px;
                            color: #9cabbd;
                        }

                        .charCode {
                            display: block;
                            text-align: center;
                        }
                    }
                }
            }

            .drag-drop-grid {
                width: 100%;
                display: grid;
                grid-template-columns: repeat(4, 1fr);
                gap: 20px;

                .drag-drop-item {
                    display: flex;
                    align-items: center;
                    justify-content: flex-end;
                    flex-direction: column;
                    gap: 10px;

                    img {
                        height: auto;
                        max-width: 110px;
                        max-height: 100%;
                    }

                    .rectangle-box {
                        width: 100%;
                        height: 50px;
                        background: #FFFFFF;
                        border: 1px solid #000000;
                        display: flex;
                        align-items: center;
                        justify-content: center;

                        .example-answer {
                            text-align: center;
                        }
                    }
                }
            }

            .draw-shape-grid {
                width: 100%;
                display: grid;
                grid-template-columns: repeat(4, 1fr);
                gap: 10px;

                &.default {
                    display: flex;
                    flex-wrap: wrap;
                    align-items: center;
                    justify-content: space-around;
                }

                .draw-item {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: column;

                    img {
                        height: auto;
                        max-width: 110px;
                        max-height: 100%;
                    }

                    .question-number {
                        text-align: center;

                        &.isExample {
                            font-weight: bold;
                            text-decoration: underline;
                        }
                    }
                }
            }

            .select-draw-image {
                height: auto;
                width: 680px;
                display: flex;
                align-items: center;
                justify-content: center;

                img {
                    height: 100%;
                    width: 100%;
                }
            }

            .list-draw-line-item {
                margin-top: 10px;
                margin-bottom: 10px;
                display: flex;
                align-items: center;
                justify-content: space-around;

                .item-text {
                    text-align: center;
                }

                .item-image {
                    width: 60px;
                    display: flex;
                    align-items: center;
                    justify-content: flex-end;

                    img {
                        height: auto;
                        max-width: 100%;
                        max-height: 100%;
                    }
                }
            }

            .box-answers {
                // margin-left: var(--marginLeft);
                margin-top: 10px;
                display: flex;
                flex-wrap: wrap;
                white-space: pre-wrap;

                .answer {
                    flex: 1;
                    padding: 0 5px;
                }

                &.vertical {
                    flex-direction: column;
                    margin-left: var(--marginLeft);

                    .answer {
                        padding: 5px;
                    }
                }
            }

            .hint-text {
                margin-left: var(--marginLeft);
                font-weight: bold;
                font-style: italic;
            }
        }

        .end-page {
            margin-top: 20px;
            color: #188fba;
            font-weight: bold;
            text-align: center;
            width: 100%;
            display: inline-block;
        }

        .answer-table {
            margin-top: 15px;
            position: relative;

            table {
                width: 100%;
                border-radius: 8px;
                overflow: hidden;
                border-collapse: collapse;

                thead tr th {
                    padding: 10px;
                    background-color: #c9ecf8;
                    border-left: 1px solid #d5dee8;
                    border-bottom: 1px solid #d5dee8;

                    &:nth-child(1) {
                        text-align: left;
                    }

                    &:nth-child(2) {
                        width: 55px;
                    }

                    &:nth-child(3) {
                        width: 55px;
                    }

                    &:nth-child(4) {
                        width: 80px;
                    }
                }

                tbody tr {
                    page-break-inside: avoid;
                    break-inside: avoid-page;
                    overflow: hidden;

                    &.divide {
                        td>div {
                            width: calc(100% - 20px);
                            margin-left: 10px;
                        }
                    }

                    &:not(.divide) td {
                        padding: 5px 10px;
                        position: relative;
                        border-left: 1px solid #d5dee8;
                        border-bottom: 1px solid #d5dee8;

                        &:nth-child(2) {
                            text-align: center;
                        }

                        &:nth-child(3) {
                            text-align: center;
                        }

                        &:nth-child(4) {
                            text-align: center;
                        }

                        .radio {
                            width: 16px;
                            height: 16px;
                            background: #ffffff;
                            border: 1.5px solid #9cabbd;
                            box-sizing: border-box;
                            border-radius: 20px;
                            position: absolute;
                            top: calc(50% - 8px);
                            left: calc(50% - 8px);
                        }
                    }
                }
            }

            &::after {
                content: ' ';
                position: absolute;
                inset: 0;
                border-radius: 8px;
                border: 1px solid #d5dee8;
                pointer-events: none;
            }
        }

        .matching-table {
            width: 100%;
            margin-top: 20px;

            tbody>tr>td {
                padding: 5px;

                &:nth-child(1) {
                    width: 50%;
                }

                &:nth-child(2) {
                    width: 50%;
                }
            }
        }

        .matching-table-has-example {
            width: 100%;
            margin-top: 20px;

            tbody>tr>td {
                padding: 5px;

                &:nth-child(1) {
                    width: 10%;
                }

                &:nth-child(2) {
                    width: 30%;
                }

                &:nth-child(3) {
                    width: 30%;
                }

                &:nth-child(4) {
                    width: 30%;
                }
            }

            .line-matching {
                width: 100%;
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: center;

                img {
                    height: 4.5px;
                    width: 125px;
                }
            }
        }

        .matching-row-format {
            width: 100%;
            display: flex;
            align-items: center;
            flex-direction: row;

            .text-index {
                width: 44px;
            }

            .box-image {
                width: 136px;
                display: flex;
                align-items: center;
                justify-content: center;
                padding-left: 5px;

                img {
                    height: auto;
                    max-width: 100%;
                    max-height: 100%;
                }
            }

            .matching-section {
                width: calc(100% - 180px);
                display: flex;
                flex-direction: row;

                .left-data {
                    width: calc(50% - 105px);
                    display: flex;
                    align-items: center;
                    justify-content: flex-end;
                    padding-right: 10px;
                }

                .right-data {
                    width: calc(50% - 105px);
                    display: flex;
                    align-items: center;
                    justify-content: flex-start;
                    padding-left: 10px;
                }

                .line-matching {
                    width: 210px;
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    justify-content: space-between;

                    img {
                        height: 4.5px;
                        width: 170px;
                    }
                }
            }
        }

        .matching-picture {
            width: 100%;
            display: flex;
            align-items: center;
            flex-direction: row;
            gap: 10px;

            .text-index {
                width: 50px;
            }

            .left-image,
            .right-image {
                width: 140px;
                display: flex;
                align-items: center;
                justify-content: center;
                margin: 10px 5px;
                gap: 10px;

                img {
                    height: auto;
                    max-width: 100%;
                    max-height: 100%;
                }
            }

            .line-matching {
                width: 280px;
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: space-between;

                img {
                    height: 4.6px;
                    width: 240px;
                }
            }
        }
    }
}

.prevent-page-break {
    page-break-inside: avoid;
    break-inside: avoid-page;
    display: table;
    overflow: hidden;
}

@page {
    size: auto;
    margin: 0.5in;
}